# = ildus/server/backend/dummy - dummy domain backend library
#
# Copyright (C) 2011 Paul van Tilburg <paul@luon.net>
#
# Ildus is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.

module Ildus::Server::DomainBackend

  # = Dummy domain backend
  #
  # The domain backend class that is just a dummy for testing purposes.
  class Dummy < Basic

    def commit
      puts "Committing..."
    end

    def hosts
      Hash.new
    end

    def update_host(host, addr)
      puts "Update host #{host} with address #{addr}."
      return true
    end
    
  end # class Dummy

end # module Ildus::Server::DomainBackend
